<?php

/*
      	Sticky Ads Modul V 2.2 fr Joomla 1.6
      	----------------------------
      	Mit dem Modul Sticky-Ads kann Inhalt (z.B. per HTML) auf jeder Position im Template frei gesetzt werden.
      	Erstellt von: Giantware
      	Internetseite von Giantware - http://www.giantware.de
	@Copyright Copyright (C) 2001- 2010 - Olaf Willerding
	@license GNU/GPL http://www.gnu.org/copyleft/gpl.html - see license.txt
      	----------------------------
*/


defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');


class JFormFieldJSColor extends JFormField
{

	protected $type = 'JSColor';


	protected function getInput()
	{
		global $JElementJSColorJSWritten;
		if (!$JElementJSColorJSWritten) 
		{
                        $jsFile = dirname(__FILE__) . DS . ".." . DS . "stickyadscolor" . DS . "jscolor.js";
                        $jsUrl = str_replace(JPATH_ROOT, JURI::root(true), $jsFile);
                        $jsUrl = str_replace(DS, "/", $jsUrl);

			$document	= JFactory::getDocument();
			$document->addScript( $jsUrl );

			$JElementJSColorJSWritten = TRUE;
		}

		// Initialize JavaScript field attributes.
		$onchange	= $this->element['onchange'] ? ' onchange="'.(string) $this->element['onchange'].'"' : '';

		$class		= ' class="color {required:false}"';

		return '<input type="text" name="'.$this->name.'" id="'.$this->id.'"' .
				' value="'.htmlspecialchars($this->value, ENT_COMPAT, 'UTF-8').'"' .
				$class.$onchange.'/>';
	}
}
